Memory
Record retrieval usefulness feedback
POST /v1/memory/{memoryId}/retrievals/{retrievalId}/feedback · SDK recordMemoryRetrievalFeedback · CLI deployments memory-retrieval feedback
POST
Requires memory:write.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
memoryId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$retrievalId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringOptional tenant consistency assertion; when supplied, it must match the authenticated credential.
Match
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key?stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
feedback?stringusefulness*stringValue in
"harmful""neutral""useful"MemoryObjectResponse
application/json- response
curl -X POST "https://example.com/v1/memory/string/retrievals/string/feedback" \ -H "Content-Type: application/json" \ -d '{ "usefulness": "harmful" }'{}